import React from 'react';

interface Props {
  running: boolean;
  speed: number;
  toggle: () => void;
  updateSpeed: (speed: number) => void;
}

const Controls = (props: Props) => {
  const { running, speed, toggle, updateSpeed } = props;

  const goSlower = () => {
    updateSpeed(speed + 100);
  };

  const goFaster = () => {
    if (speed > 100) {
      updateSpeed(speed - 100);
    }
  };

  return (
    <div className="controls">
      <button onClick={toggle}>{running ? 'Pause' : 'Play'}</button>
      <div className="speed">
        <button onClick={goSlower}>Slower</button>
        <button disabled={speed <= 100} onClick={goFaster}>
          Faster
        </button>
        <span>{speed}ms</span>
      </div>
    </div>
  );
};

export default Controls;
